<?php
// vim:tabstop=2:expandtab:shiftwidth=2:filetype=php:syntax:ruler:

/******************************************************************/
/*
/*  LICENSE
/* 
/*  This file is part of M.A.R.V.I.N.
/*
/*  M.A.R.V.I.N. is free software; you can redistribute it and/or modify
/*  it under the terms of the GNU General Public License as published by
/*  the Free Software Foundation; either version 2 of the License, or
/*  (at your option) any later version.
/*
/*  M.A.R.V.I.N. is distributed in the hope that it will be useful,
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/*  GNU General Public License for more details.
/*
/*  You should have received a copy of the GNU General Public License
/*  along with M.A.R.V.I.N; if not, write to the Free Software
/*  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA 
/*
/*
/*  DESCRIPTION
/*  
/*  this is the main file of M.A.R.V.I.N.
/*
/*
/******************************************************************/


require('/usr/share/php/smarty/libs/Smarty.class.php');
require('class_hostInfo.php');

$tpl = new Smarty;

$pwd = getcwd().'/tpl/';

$tpl->display($pwd.'html_header.tpl');

if(empty($_GET["hideform"])) {

  if($handle = opendir('./hosts')) {
    $files = array();
    while(false !== ($file = readdir($handle))) {
      if($file != "." && $file != "..") {
        $files[] = $file;
      }
    }
    sort($files);
  }

  $tpl->assign('hosts',$files);
  $tpl->display($pwd.'page_header.tpl');

}

$file = trim($_GET["host"]);

if(strlen($file) > 0 && preg_match('/^([a-z]|\.|-|[0-9])+$/i',$file)  && file_exists('./hosts/'.$_GET["host"])) {

  $host =& new hostInfo();

  $host->setCfg('./hosts/'.$_GET["host"]);
  $host->parse();

  $tpl->assign('HOSTNAME',$host->hostname);
  $tpl->assign('DATETIME',$host->datetime);
  $tpl->assign('OS_NAME',$host->OS["name"]);
  $tpl->assign('OS_VERSION',$host->OS["version"]);
  $tpl->assign('OS_RELEASE',$host->OS["release"]);
  $tpl->assign('IMAGE',$host->OS["type"].'.png'); //set OS-Type (e.g. Linux) as filename for the OS-image

  if($host->cpucount > 0) {
    $tpl->assign('showcpu','1');
    $tpl->assign('cpus',$host->cpu);
  }

  $tpl->assign('showmem','1');
  $tpl->assign('MEMORY',$host->mem);

  if(!empty($host->mainboard_manuf)) {
    $tpl->assign("showmainboard",true);
    $tpl->assign("mainboard_manuf",$host->mainboard_manuf);
    $tpl->assign("mainboard_serial",$host->mainboard_serial);
    $tpl->assign("mainboard_name",$host->mainboard_name);
    $tpl->assign("mainboard_version",$host->mainboard_version);
  }

  if($host->niccount > 0) {
    $tpl->assign('shownic','1');
    $tpl->assign('nics',$host->nics);
  }

  if($host->diskcount > 0) {
    $tpl->assign('showdisk','1');
    $tpl->assign('disks',$host->disks);
  }

  if($host->mdcount > 0) {
    $tpl->assign('showmd','1');
    $tpl->assign('mds',$host->mds);
  }

  if($host->cddvdcount > 0) {
    $tpl->assign('showcd','1');
    $tpl->assign('cds',$host->cddvd);
  }

  if($host->vgcount > 0) {
    $tpl->assign('showlvm_vg','1');
    $tpl->assign('showlvm_lv','1');
    $tpl->assign('lvm_vgs',$host->vgs);
    $tpl->assign('lvm_lvs',$host->lvs);
  }

  if($host->fscount > 0) {
    $tpl->assign('showfs','1');
    $tpl->assign('fss',$host->fs);
  }

  if($host->gfxcount > 0) {
    $tpl->assign('showgfx','1');
    $tpl->assign('gfxs',$host->gfx);
  }

  if($host->miscpcicount > 0) {
    $tpl->assign('showmiscpci','1');
    $tpl->assign('miscpcis',$host->miscpci);
  }

  if($host->xencount > 0) {
    $tpl->assign('showxen','1');
    $tpl->assign('xen',$host->xen);
  }

  if($host->vmware2count > 0) {
    $tpl->assign('showvmware2','1');
    $tpl->assign('vmware2',$host->vmware2);
  }

  if($host->updatescount > 0) {
    $tpl->assign('showupdates','1');
    $tpl->assign('updates',$host->updates);
  }

  if($host->appcount > 0) {
    $tpl->assign('showapp','1');
    $tpl->assign('apps',$host->apps);
  }

  $tpl->display($pwd.'tables.tpl');
}
else {
  $tpl->assign('hostparam',$file);
  $tpl->display($pwd.'error.tpl');
}
  

$tpl->display($pwd.'html_footer.tpl');
?>
