<!--
vim:tabstop=2:expandtab:shiftwidth=2:
-->
<table class="box" cellpadding=5>
<tr>
	<td colspan="2">
		Detailed Host Information for <b>{$HOSTNAME}</b> ({$DATETIME})
	</td>
</tr>
<tr>
  <td width="32">
    <img src="img/{$IMAGE}" alt="OS" />
	</td>
	<td>
    		{$OS_NAME} Version {$OS_RELEASE}/{$OS_VERSION}
	</td>
</tr>
<tr>
  <td colspan="2" align="center">
    {if isset($showcpu) }[<a href="#CPU">CPUs</a>] {/if}
    {if isset($showmem)}[<a href="#MEM">Physical Memory</a>] {/if}
    {if isset($showmainboard)}[<a href="#MAINBOARD">Mainboard</a>] {/if}
    {if isset($shownic)}[<a href="#NIC">NICs</a>] {/if}
    {if isset($showdisk)}[<a href="#DISK">Disks</a>] {/if}
    {if isset($showmd)}[<a href="#RAID">Software RAID</a>] {/if}
    {if isset($showcd)}[<a href="#CDDVD">CD/DVD</a>] {/if}
    {if isset($showlvm_vg)}[<a href="#LVM_VG">LVM Volume Groups</a>] {/if}
    {if isset($showlvm_lv)}[<a href="#LVM_LV">LVM Logical Volumes</a>] {/if}
    {if isset($showfs)}[<a href="#FS">Local Filesystems</a>] {/if}
    {if isset($showgfx)}[<a href="#GFX">Graphic Adapters</a>] {/if}
    {if isset($showmiscpci)}[<a href="#MISCPCI">Misc. Hardware</a>] {/if}
    {if isset($showxen)}[<a href="#XEN">Running Xen DomUs</a>] {/if}
    {if isset($showvmware2)}[<a href="#VMWARE2">VmWare Server 2 Guests</a>] {/if}
    {if isset($showupdates)}[<a href="#UPDATES">Available Updates</a>] {/if}
    {if isset($showapp)}[<a href="#APPS">Installed Applications</a>] {/if}
  </td>
</tr>
{if isset($showcpu) }
<tr>
	<td colspan="2">
		<table class="box" cellspacing=0>
		<tr class="header">
			<td width="32" class="borderbottom">
				<img src="img/ram.png">
			</td>
			<td class="borderbottom">
				<a name="CPU"></a><b>CPUs</b>
		  </td>
		</tr>
{section name=cpu loop=$cpus}
{strip}
 		<tr class="{cycle name=cpus values="rowA,rowB"}">
  		<td align="right">
				[{$smarty.section.cpu.index_next}]
			</td>
			<td>
				{$cpus[cpu].model} ({$cpus[cpu].speed} MHz)
			</td>
		</tr>
{/strip}
{sectionelse}
    <tr class="rowA">
      <td colspan="2"><i>none available/detected</i></td>
    </tr>
{/section}
		</table>
	</td>
</tr>
<tr>
  <td colspan="2" align="center"><a href="#"> - Top - </a></td>
</tr>
{/if}
{if isset($showmem) }
<tr>
	<td colspan="2">
		<table class="box" cellspacing=0>
		<tr class="header">
			<td width="32" class="borderbottom">
				<img src="img/ram.png">
			</td>
			<td class="borderbottom">
				<a name="MEM"></a><b>Physical Memory</b>
		  </td>
		</tr>
		<tr class="rowA">
			<td>
				&nbsp;
			</td>
			<td>
				{$MEMORY} MB
			</td>
		</tr>
		</table>
	</td>
</tr>
<tr>
  <td colspan="2" align="center"><a href="#"> - Top - </a></td>
</tr>
{/if}
{if isset($showmainboard) }
<tr>
	<td colspan="2">
		<table class="box" cellspacing=0>
		<tr class="header">
			<td width="32" class="borderbottom">
				<img src="img/pcicard.png">
			</td>
			<td class="borderbottom">
				<a name="MAINBOARD"></a><b>Mainboard</b>
		  </td>
      <td class="borderbottom">
        Manufacturer
      </td>
      <td class="borderbottom">
        Version
      </td>
      <td class="borderbottom">
        S/N
      </td>
		</tr>
		<tr class="rowA">
			<td>
				&nbsp;
			</td>
			<td>
				{$mainboard_name}
			</td>
      <td>
        {$mainboard_manuf}
      </td>
      <td>
        {$mainboard_version}
      </td>
      <td>
        {$mainboard_serial}
      </td>
		</tr>
		</table>
	</td>
</tr>
<tr>
  <td colspan="2" align="center"><a href="#"> - Top - </a></td>
</tr>
{/if}

{if isset($shownic) }
<tr>
	<td colspan="2">
		<table class="box" cellspacing=0>
		<tr class="header">
			<td width="32" class="borderbottom">
				<img src="img/network.png">
			</td>
			<td class="borderbottom">
				<a name="NIC"></a><b>NICs</b>
		  </td>
			<td class="borderbottom">
				MAC
			</td>
			<td class="borderbottom">
				IP/Subnet
			</td>
		</tr>
{section name=nic loop=$nics}
{strip}
    <tr class="{cycle name=nics values="rowA,rowB"}">
			<td align="right">
				[{$smarty.section.nic.index_next}]
			</td>
			<td>
				{$nics[nic].manufacturer} {$nics[nic].model}
			</td>
			<td>
				{$nics[nic].mac}
		 	</td>
			<td>
				{$nics[nic].ip}/{$nics[nic].netmask}
			</td>
		</tr>
{/strip}
{sectionelse}
    <tr class="rowA">
      <td colspan="4"><i>none available/detected</i></td>
    </tr>
{/section}
		</table>
	</td>
</tr>
<tr>
  <td colspan="2" align="center"><a href="#"> - Top - </a></td>
</tr>
{/if}
{if isset($showdisk)}
<tr>
	<td colspan="2">
		<table class="box" cellspacing=0>
		<tr class="header">
			<td class="borderbottom" width="32">
				<img src="img/harddrive.png">
			</td>
			<td class="borderbottom">
				<a name="DISK"></a><b>Disks</b>
		  </td>
			<td class="borderbottom">
				Size
			</td>
      <td class="borderbottom">
        Serial
      </td>
			<td class="borderbottom">
				Interface
			</td>
		</tr>
{section name=disk loop=$disks}
{strip}
  	<tr class="{cycle name=disks values="rowA,rowB"}">
			<td align="right">
				[{$smarty.section.disk.index_next}]
			</td>
			<td>
				{$disks[disk].model}
			</td>
			<td>
				{$disks[disk].size} MB
		 	</td>
      <td>
        {$disks[disk].serial}
      </td>
			<td>
				{$disks[disk].interface}
			</td>
		</tr>
{/strip}
{sectionelse}
    <tr class="rowA">
      <td colspan="4"><i>none available/detected</i></td>
    </tr>
{/section}
		</table>
	</td>
</tr>
<tr>
  <td colspan="2" align="center"><a href="#"> - Top - </a></td>
</tr>
{/if}
{if isset($showmd) }
<tr>
	<td colspan="2">
		<table class="box" cellspacing=0>
		<tr class="header">
			<td class="borderbottom" width="32">
				<img src="img/raid.png">
			</td>
			<td class="borderbottom">
				<a name="RAID"></a><b>Software RAID</b>
		  </td>
			<td class="borderbottom">
				RAID Level
			</td>
      <td class="borderbottom">
        phys. Devices
      </td>
		</tr>
{section name=md loop=$mds}
{strip}
	  <tr class="{cycle name=mds values="rowA,rowB"}">
			<td align="right">
				[{$smarty.section.md.index_next}]
			</td>
			<td>
				{$mds[md].dev}
			</td>
			<td>
				{$mds[md].level}
		 	</td>
			<td>
				{$mds[md].devices}
			</td>
		</tr>
{/strip}
{sectionelse}
    <tr class="rowA">
      <td colspan="4"><i>none available/detected</i></td>
    </tr>
{/section}
		</table>
	</td>
</tr>
<tr>
  <td colspan="2" align="center"><a href="#"> - Top - </a></td>
</tr>
{/if}
{if isset($showcd) }
<tr>
	<td colspan="2">
		<table class="box" cellspacing=0>
		<tr class="header">
			<td class="borderbottom" width="32">
				<img src="img/cdrom.png">
			</td>
			<td class="borderbottom">
				<a name="CDDVD"></a><b>CD/DVD</b>
		  </td>
			<td class="borderbottom">
				Interface
			</td>
		</tr>
{section name=cd loop=$cds}
{strip}
  	<tr class="{cycle name=cd values="rowA,rowB"}">
			<td align="right">
				[{$smarty.section.cd.index_next}]
			</td>
			<td>
			  {$cds[cd].model}
			</td>
			<td>
				{$cds[cd].interface}
			</td>
		</tr>
{/strip}
{sectionelse}
    <tr class="rowA">
      <td colspan="4"><i>none available/detected</i></td>
    </tr>
{/section}
    </table>
	</td>
</tr>
<tr>
  <td colspan="2" align="center"><a href="#"> - Top - </a></td>
</tr>
{/if}
{if isset($showlvm_vg)}
<tr>
	<td colspan="2">
		<table class="box" cellspacing=0>
		<tr class="header">
			<td class="borderbottom" width="32">
				<img src="img/partitions2.png">
			</td>
			<td class="borderbottom">
				<a name="LVM_VG"></a><b>LVM Volume Groups</b>
		  </td>
			<td class="borderbottom">
				# of Log. Volumes
			</td>
			<td class="borderbottom">
				Size
			</td>
			<td class="borderbottom">
				Free
			</td>
		</tr>
{section name=lvm_vg loop=$lvm_vgs}
{strip}
  	<tr class="{cycle name=lvm_vgs values="rowA,rowB"}">
			<td align="right">
				[{$smarty.section.lvm_vg.index_next}]
			</td>
			<td>
				{$lvm_vgs[lvm_vg].name}
			</td>
			<td>
				{$lvm_vgs[lvm_vg].lvcount}
		 	</td>
			<td>
				{$lvm_vgs[lvm_vg].size}
			</td>
			<td>
				{$lvm_vgs[lvm_vg].free}
			</td>
		</tr>
{/strip}
{sectionelse}
    <tr class="rowA">
      <td colspan="5"><i>none available/detected</i></td>
    </tr>
{/section}
		</table>
	</td>
</tr>
<tr>
  <td colspan="2" align="center"><a href="#"> - Top - </a></td>
</tr>
{/if}
{if isset($showlvm_lv)}
<tr>
	<td colspan="2">
		<table class="box" cellspacing=0>
		<tr class="header">
			<td class="borderbottom" width="32">
				<img src="img/partitions2.png">
			</td>
			<td class="borderbottom">
				<a name="LVM_LV"></a><b>LVM Logical Volumes</b>
		  </td>
			<td class="borderbottom">
				Volume Group
			</td>
			<td class="borderbottom">
				Size
			</td>
		</tr>
{section name=lvm_lv loop=$lvm_lvs}
{strip}
  	<tr class="{cycle name=lvm_lvs values="rowA,rowB"}">
			<td align="right">
				[{$smarty.section.lvm_lv.index_next}]
			</td>
			<td>
				{$lvm_lvs[lvm_lv].name}
			</td>
			<td>
				{$lvm_lvs[lvm_lv].vg}
		 	</td>
			<td>
				{$lvm_lvs[lvm_lv].size}
			</td>
		</tr>
{/strip}
{sectionelse}
    <tr class="rowA">
      <td colspan="4"><i>none available/detected</i></td>
    </tr>
{/section}
		</table>
	</td>
</tr>
<tr>
  <td colspan="2" align="center"><a href="#"> - Top - </a></td>
</tr>
{/if}
{if isset($showfs) }
<tr>
	<td colspan="2">
		<table class="box" cellspacing=0>
		<tr class="header">
			<td class="borderbottom" width="32">
				<img src="img/partitions.png">
			</td>
			<td class="borderbottom">
				<a name="FS"></a><b>Local Filesystems</b>
		  </td>
			<td class="borderbottom">
				Type
			</td>
			<td class="borderbottom">
				Size
			</td>
			<td class="borderbottom">
				Used
			</td>
			<td class="borderbottom">
				Available
			</td>
			<td class="borderbottom">
				Mountpoint
			</td>
		</tr>
{section name=fs loop=$fss}
{strip}
  	<tr class="{cycle name=fss values="rowA,rowB"}">
			<td align="right">
				[{$smarty.section.fs.index_next}]
			</td>
			<td>
				{$fss[fs].dev}
			</td>
			<td>
				{$fss[fs].fstype}
		 	</td>
			<td>
				{$fss[fs].size}
			</td>
			<td>
				{$fss[fs].use} ({$fss[fs].used})
			</td>
			<td>
				{$fss[fs].avail}
			</td>
			<td>
			  {$fss[fs].mpoint}
			</td>
		</tr>
{/strip}
{sectionelse}
    <tr class="rowA">
      <td colspan="7"><i>none available/detected</i></td>
    </tr>
{/section}
		</table>
	</td>
</tr>
<tr>
  <td colspan="2" align="center"><a href="#"> - Top - </a></td>
</tr>
{/if}
{if isset($showgfx) }
<tr>
	<td colspan="2">
		<table class="box" cellspacing=0>
		<tr class="header">
			<td class="borderbottom" width="32">
				<img src="img/display.png">
			</td>
			<td class="borderbottom">
				<a name="GFX"></a><b>Graphic Adapters</b>
		  </td>
		</tr>
{section name=gfx loop=$gfxs}
{strip}
  	<tr class="{cycle name=gfxs values="rowA,rowB"}">
			<td align="right">
				[{$smarty.section.gfx.index_next}]
			</td>
			<td>
				{$gfxs[gfx].manufacturer}, {$gfxs[gfx].model}
			</td>
		</tr>
{/strip}
{sectionelse}
    <tr class="rowA">
      <td colspan="2"><i>none available/detected</i></td>
    </tr>
{/section}
    </table>
	</td>
</tr>
<tr>
  <td colspan="2" align="center"><a href="#"> - Top - </a></td>
</tr>
{/if}
{if isset($showmiscpci) }
<tr>
	<td colspan="2">
		<table class="box" cellspacing=0>
		<tr class="header">
			<td class="borderbottom" width="32">
				<img src="img/pcicard.png">
			</td>
			<td class="borderbottom">
				<a name="MISCPCI"></a><b>Misc. Hardware</b>
		  </td>
			<td class="borderbottom">
				Description
			</td>
		</tr>
{section name=miscpci loop=$miscpcis}
{strip}
  	<tr class="{cycle name=miscpcis values="rowA,rowB"}">
			<td align="right">
				[{$smarty.section.miscpci.index_next}]
			</td>
			<td>
				{$miscpcis[miscpci].type}
			</td>
			<td>
				{$miscpcis[miscpci].manufacturer}, {$miscpcis[miscpci].model}
			</td>
		</tr>
{/strip}
{sectionelse}
    <tr class="rowA">
      <td colspan="3"><i>none available/detected</i></td>
    </tr>
{/section}
		</table>
	</td>
</tr>
<tr>
  <td colspan="2" align="center"><a href="#"> - Top - </a></td>
</tr>
{/if}
{if isset($showxen) }
<tr>
	<td colspan="2">
		<table class="box" cellspacing=0>
		<tr class="header">
			<td class="borderbottom" width="32">
				<img src="img/xen.png">
			</td>
			<td class="borderbottom">
				<a name="XEN"></a><b>Running Xen DomUs</b>
		  </td>
      <td class="borderbottom">
        Memory
      </td>
		</tr>
{section name=xen loop=$xen}
{strip}
  	<tr class="{cycle name=xen values="rowA,rowB"}">
			<td align="right">
				[{$smarty.section.xen.index_next}]
			</td>
			<td>
				{$xen[xen].name}
			</td>
      <td>
        {$xen[xen].memory} MB
      </td>
		</tr>
{/strip}
{sectionelse}
    <tr class="rowA">
      <td colspan="3"><i>none available/detected</i></td>
    </tr>
{/section}
		</table>
	</td>
</tr>
<tr>
  <td colspan="2" align="center"><a href="#"> - Top - </a></td>
</tr>
{/if}
{if isset($showvmware2) }
<tr>
	<td colspan="2">
		<table class="box" cellspacing=0>
		<tr class="header">
			<td class="borderbottom" width="32">
				<img src="img/xen.png">
			</td>
			<td class="borderbottom">
				<a name="VMWARE2"></a><b>VmWare Server 2 Guests</b>
		  </td>
      <td class="borderbottom">
        State
      </td>
		</tr>

{section name=vmware2 loop=$vmware2}
{strip}
  	<tr class="{cycle name=vmware2 values="rowA,rowB"}">
			<td align="right">
				[{$smarty.section.vmware2.index_next}]
			</td>
			<td>
				{$vmware2[vmware2].name}
			</td>
      <td>
        {$vmware2[vmware2].state}
      </td>
		</tr>
{/strip}
{sectionelse}
    <tr class="rowA">
      <td colspan="3"><i>none available/detected</i></td>
    </tr>
{/section}
		</table>
	</td>
</tr>
<tr>
  <td colspan="2" align="center"><a href="#"> - Top - </a></td>
</tr>
{/if}
{if isset($showupdates) }
<tr>
	<td colspan="2">
		<table class="box" cellspacing=0>
		<tr class="header">
			<td class="borderbottom" width="32">
				<img src="img/updates.png">
			</td>
			<td class="borderbottom">
				<a name="UPDATES"></a><b>Available Updates</b>
		  </td>
		</tr>
{section name=update loop=$updates}
{strip}
  	<tr class="{cycle name=updates values="rowA,rowB"}">
			<td align="right">
				[{$smarty.section.update.index_next}]
			</td>
			<td>
				{$updates[update].name}
			</td>
		</tr>
{/strip}
{sectionelse}
    <tr class="rowA">
      <td colspan="2"><i>none available/detected</i></td>
    </tr>
{/section}
		</table>
	</td>
</tr>
<tr>
  <td colspan="2" align="center"><a href="#"> - Top - </a></td>
</tr>
{/if}
{if isset($showapp) }
<tr>
	<td colspan="2">
		<table class="box" cellspacing=0>
		<tr class="header">
			<td class="borderbottom" width="32">
				<img src="img/applications.png">
			</td>
			<td class="borderbottom">
				<a name="APPS"></a><b>Installed Applications</b>
		  </td>
		</tr>
{section name=app loop=$apps}
{strip}
  	<tr class="{cycle name=apps values="rowA,rowB"}">
			<td align="right">
				[{$smarty.section.app.index_next}]
			</td>
			<td>
				{$apps[app].name}
			</td>
		</tr>
{/strip}
{sectionelse}
    <tr class="rowA">
      <td colspan="2"><i>none available/detected</i></td>
    </tr>
{/section}
		</table>
	</td>
</tr>
<tr>
  <td colspan="2" align="center"><a href="#"> - Top - </a></td>
</tr>
{/if}
</table>
